Magick(3)

NAME
Image::Magick - Perl extension for calling ImageMagick's libmagick routines

SYNOPSIS
  use Image::Magick;
  p = new Image::Magick;
  p->Read("imagefile");
  p->Set(attribute => value, ...)
  ($a, ...) = p->Get("attribute", ...)
  p->routine(parameter => value, ...)
  p->Mogrify("Routine", parameter => value, ...)
  p->Write("filename");

DESCRIPTION
This Perl extension allows the reading, manipulation and writing of a large number of image file formats using the magick library from ImageMagick by John Cristy (magick@wizards.dupont.com). It was originally developed to be used by CGI scripts for Web pages.

A Web page has been set up for this extension. See:

        http://www.simplesystems.org/ImageMagick/www/perl.html

AUTHOR
Kyle Shorter    magick@wizards.dupont.com

BUGS
Has all the bugs of ImageMagick and much, much more!

SEE ALSO
perl(1).